﻿<?
$TRANSLATION = null;
$STB_LANG = null;

function stbLocale() {
    global $STB_LANG;
    if (!$STB_LANG) {
        $propertiesFile = realpath("/config/settings.properties");
        if ($propertiesFile) {
            $handle = fopen($propertiesFile, "r");
            if ($handle) {
                while (($buffer = fgets($handle)) !== false) {
                    $pos = strpos($buffer, "interface_language = ");
                    if ($pos !== false) {
                        $result = trim(substr($buffer, $pos + strlen("interface_language = ")));
                        $STB_LANG = $result;
                        break;
                    }
                }
                fclose($handle);
            }
        }
        if (!$STB_LANG) {
            hd_print("interface_language setting not found. Default STB locale = english");
            $STB_LANG = "english";
        }
    }
    return $STB_LANG;
}

function loadLanguage() {
	global $TRANSLATION;
	if (!$TRANSLATION) {
		$supported = array("english", "german", "russian", "ukrainian", "hungarian");
	    $v = stbLocale();
// 		$v = trim(shell_exec(
// 				"grep 'interface_language' /config/settings.properties".
// 				" | sed \"s/^.*= *//\""));
		$currentLanguage = (isset($v) && strlen($v) > 0
				&& in_array($v, $supported)) ? $v : 'english';
		$LANG = array();
		include_once "lang/".$v.".php";
		$TRANSLATION = $LANG;
	}
	return $TRANSLATION;
}

function _($label) {
	$l = loadLanguage();
	return isset($l[$label]) ? $l[$label] : $label;
}

function _c($color, $label) {
	return "<text color=\"".$color."\">"._($label).'</text>';
}
?>